# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RenderingAbstract Class Reference

The RenderingAbstract class implements the abstract rendering interface. More...

`#include <RenderingAbstract.hpp>`

Inheritance diagram for vl::RenderingAbstract:

List of all members.

## Public Member Functions

| RenderingAbstract ()
| Constructor.
virtual void | render ()=0
| Executes the rendering.
RenderingAbstract & | operator= (const RenderingAbstract &other)
void | dispatchRenderingCallbacks (ERenderingCallback reason)
| Triggers the execution of the rendering callbacks with the given reason.
Collection< RenderingCallback > * | renderingCallbacks ()
| Returns the list of RenderingCallback objects bound to a Rendering.
const Collection < RenderingCallback > * | renderingCallbacks () const
| Returns the list of RenderingCallback objects bound to a Rendering.
void | setEnableMask (unsigned int mask)
| The enable mask of the Rendering, used to define wheter the rendering is enabled or not, and which objects should be rendered.
unsigned int | enableMask () const
| The enable mask of the Rendering, used to define wheter the rendering is enabled or not, and which objects should be rendered.
bool | isEnabled (unsigned int mask)
| Utility function equivalent to `"(mask & mEnableMask) != 0"`.
void | setUpdateTime (Real cur_time)
| The update time of the current rendering frame.
Real | updateTime () const
| The update time of the current rendering frame.

## Protected Attributes

ref< Collection < RenderingCallback > > | mRenderingCallbacks
Real | mUpdateTime
unsigned int | mEnableMask

## Detailed Description

The RenderingAbstract class implements the abstract rendering interface.

## Constructor & Destructor Documentation

RenderingAbstract::RenderingAbstract | ( |  | ) |

Constructor.

## Member Function Documentation

virtual void vl::RenderingAbstract::render | ( |  | ) | `[pure virtual]`

Executes the rendering.

- RC_PreRendering RenderingCallback is issued right before the rendering takes place.
- RC_PostRendering RenderingCallback is issued right after the rendering is completed.

Implemented in vl::Rendering, and vl::RenderingTree.

RenderingAbstract & RenderingAbstract::operator= | ( | const RenderingAbstract & | other | ) |

void RenderingAbstract::dispatchRenderingCallbacks | ( | ERenderingCallback | reason | ) |

Triggers the execution of the rendering callbacks with the given reason.

Collection<RenderingCallback>* vl::RenderingAbstract::renderingCallbacks | ( |  | ) | `[inline]`

Returns the list of RenderingCallback objects bound to a Rendering.

const Collection<RenderingCallback>* vl::RenderingAbstract::renderingCallbacks | ( |  | ) | const`[inline]`

Returns the list of RenderingCallback objects bound to a Rendering.

void vl::RenderingAbstract::setEnableMask | ( | unsigned int | mask | ) | `[inline]`

The enable mask of the Rendering, used to define wheter the rendering is enabled or not, and which objects should be rendered.

See also:
  vl::Actor::setEnableMask()

unsigned int vl::RenderingAbstract::enableMask | ( |  | ) | const`[inline]`

The enable mask of the Rendering, used to define wheter the rendering is enabled or not, and which objects should be rendered.

bool vl::RenderingAbstract::isEnabled | ( | unsigned int | mask | ) | `[inline]`

Utility function equivalent to `"(mask & mEnableMask) != 0"`.

void vl::RenderingAbstract::setUpdateTime | ( | Real | cur_time | ) | `[inline]`

The update time of the current rendering frame.

Real vl::RenderingAbstract::updateTime | ( |  | ) | const`[inline]`

The update time of the current rendering frame.

## Member Data Documentation

ref< Collection<RenderingCallback> > vl::RenderingAbstract::mRenderingCallbacks`[protected]`

Real vl::RenderingAbstract::mUpdateTime`[protected]`

unsigned int vl::RenderingAbstract::mEnableMask`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RenderingAbstract.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RenderingAbstract.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:39 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.